[Webkit-unassigned] [Bug 101260] [Qt] QtWebKit-2.3 tries to link against Xrender on OpenGLES2 platform

bugzilla-daemon at webkit.org bugzilla-daemon at webkit.org
Tue Nov 6 03:43:42 PST 2012


https://bugs.webkit.org/show_bug.cgi?id=101260


Jocelyn Turcotte <jocelyn.turcotte at digia.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |jocelyn.turcotte at digia.com




--- Comment #2 from Jocelyn Turcotte <jocelyn.turcotte at digia.com>  2012-11-06 03:45:13 PST ---
(In reply to comment #1)
Looks like we have similar logic in Tools/qmake/mkspecs/features/features.prf where we have:
config_libXcomposite: WEBKIT_CONFIG += have_xcomposite
config_libXrender: WEBKIT_CONFIG += have_xrender
config_glx:!contains(QT_CONFIG, opengles2): WEBKIT_CONFIG += have_glx

Could you try something like this and tell me if that works?

contains(DEFINES, HAVE_XCOMPOSITE=1): LIBS += -lXcomposite
contains(DEFINES, HAVE_XRENDER=1): LIBS += -lXrender
contains(DEFINES, HAVE_GLX=1): CONFIG *= x11

-- 
Configure bugmail: https://bugs.webkit.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the webkit-unassigned mailing list